db4o |

# Query.Descend Method

returns a reference to a descendant node in the query graph.

Query Descend(
string fieldName
);

#### Parameters

fieldName
  path to the descendant.

#### Return Value

descendant com.db4o.query.Query node

#### Remarks

returns a reference to a descendant node in the query graph.
If the node does not exist, it will be created.
All classes represented in the query node are tested, whether they contain a field with the specified field name. The descendant Query node will be created from all possible candidate classes.

#### See Also

Query Interface | com.db4o.query Namespace